import { RuntimeContext } from "@qorebase/app-runtime/src/RuntimeContext";
import { VariablesContext, VariablesProvider, useVariablesContext, useVariableValues, } from "@qorebase/app-runtime/src/VariablesContext";
import EditorContext from "@qorebase/app-runtime/src/EditorContext";
import useTemplate from "@qorebase/app-runtime/src/hooks/useTemplate";
import { useActionTrigger } from "@qorebase/app-runtime/src/hooks/useActionTrigger";
import { RuntimeInputContext, useRuntimeInput, } from "@qorebase/app-runtime/src/RuntimeInput";
import ListItemVariables from "@qorebase/app-runtime/src/ListItemVariables";
import { FormSubmitHookContext } from "@qorebase/app-runtime/src/hooks/FormSubmitHook";
import iconsList from "@qorebase/app-runtime/src/components/iconsList";
import { useClient } from "@qorebase/app-runtime/src/hooks/qore";
import { useTracking } from "react-tracking";
import { useEvaluate } from "@qorebase/app-runtime/src/hooks/useExpression";
import { SourceContext, ModalPageSourceContext, } from "@qorebase/app-runtime/src/SourceContext";
import { useImageUploadTrigger } from "@qorebase/app-runtime/src/hooks/useImageUploadTrigger";
export const exposeGlobalRuntime = () => {
    if (typeof window !== undefined) {
        // @ts-ignore
        window.qoreApps = Object.assign(Object.assign({}, window.qoreApps), { useTemplate,
            useEvaluate,
            useActionTrigger,
            useRuntimeInput,
            useClient,
            useTracking,
            useVariableValues,
            ListItemVariables,
            iconsList,
            RuntimeContext,
            EditorContext,
            RuntimeInputContext,
            VariablesProvider,
            VariablesContext,
            useVariablesContext,
            FormSubmitHookContext,
            SourceContext,
            ModalPageSourceContext,
            useImageUploadTrigger });
    }
};
//# sourceMappingURL=exposeGlobalRuntime.js.map